const prompt = require('electron-prompt'); //prompting system to get user URL
const electron = require('electron');
const path = require('path');


module.exports = {
  pluginOptions: {
    electronBuilder: {
      externals: ['electron-prompt']
    }
  }
}

const { app, BrowserWindow, Menu} = electron; //Menu generated for the purposes of visiting new URLs.


let pluginName = null; //put the right flash plugin in depending on the operating system.
switch (process.platform) {
	case 'win32':
		switch (process.arch) {
			case 'ia32':
			case 'x32':
				pluginName = 'flashver/pepflashplayer32.dll'
				console.log("ran!");
				break
			case 'x64':
				pluginName = 'flashver/pepflashplayer64.dll'
				console.log("ran!");
				break
		}
		break
	case 'linux':
		switch (process.arch) {
			case 'ia32':
			case 'x32':
				pluginName = 'flashver/libpepflashplayer.so' // added and tested :D
				break
			case 'x64':
				pluginName = 'flashver/libpepflashplayer.so'
				break
		}

		app.commandLine.appendSwitch('no-sandbox');
		break
	case 'darwin':
		pluginName = 'flashver/PepperFlashPlayer.plugin'
		break
}
app.commandLine.appendSwitch('ppapi-flash-path', path.join(__dirname, pluginName));
//CACHE IS ENABLED but restarted on launch!
//TODO: Support importing custom .swf files to play

let mainWindow;

function clearCache() {
  mainWindow.webContents.session.clearCache();
}

function createWindow () {
  mainWindow = new BrowserWindow({
    width: 1280,
    height: 720,
    title: "Запуск лаунчера...",
    webPreferences: {
      plugins: true,
      preload: path.join(__dirname, 'shop.js'),
      webSecurity: false
    }
  });


mainWindow.setMenu(null);
mainWindow.loadURL('https://avasuka.monster/');


  mainWindow.on('closed', function () {
    mainWindow = null
  });


}

app.on('ready', createWindow);

app.on('window-all-closed', function () {
  if (process.platform !== 'darwin') app.quit();
});

app.on('activate', function () {
  if (mainWindow === null) createWindow();
});




